Modify

Opened 7 months ago

Closed 7 months ago

#11517 closed defect (duplicate)

TagModelProvider breaks trac-admin

Reported by: rainer-trac-hacks Owned by: hasienda
Priority: normal Component: TagsPlugin
Severity: normal Keywords:
Cc: Trac Release: 1.0

Description

Hi,

trac 1.0.1, TracTags 0.6.
When TagModelProvider is enabled, trac-'admin' does not work anymore:
With TagModelProvider disabled:

$ trac-admin . permission list | tail -3
 TIMELINE_VIEW, TRAC_ADMIN, VERSIONCONTROL_ADMIN, WIKI_ADMIN, WIKI_CREATE,
 WIKI_DELETE, WIKI_MODIFY, WIKI_RENAME, WIKI_VIEW

$

With TagModelProvider enabled:

$ trac-admin . permission list
Error: AttributeError:
$

Or is it safe to simply disable TagModelProvider?

Thank you,

Rainer

Attachments (0)

Change History (1)

comment:1 Changed 7 months ago by hasienda

  • Resolution set to duplicate
  • Status changed from new to closed

This is not exactly a matter of enabling certain plugins components or not.

Because of small but far-reaching improvements in the db backend code, you can't use tags-0.6 for anything greater than 0.12 (up to some point in 0.13dev aka 1.0dev). The environment start is blocked by an ancient db upgrade code flaw. Btw, you'll hit a similar issue due to the same reason with quite a few Trac plugins.

See #9521 for details and resolution for this plugin. Sorry for not having the capacity to roll release candidate code in trunk as tags-0.7 by now.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.